Subject: [Isis-wg] A question with integrated IS-IS protocol

From: Suping Zhai <[email-masked]>
Date: Thu, 16 Feb 2006 11:38:04 +0800

Hi,
I have a question with regard to the integrated IS-IS protocol of RFC1195, and wish someone can help me.
In section 3.1 exchange of routing information, it's stated that,
    <begin quote>
    IS-IS requires that: 
   "Any codes in a received PDU that are not recognised are ignored and passed through unchanged". This
   requirement applies to all routers implementing IS-IS, including
   OSI-only, IP-only, and dual routers.
   <end quote>
>From above,what I understand is that this require the OSI-only, IP-only and dual router to recognize OSI and IP packet simultanously. 

But I think this is not the fact, and also I find text in section 1.4 as following,

   <begin quote>
   In a pure OSI routing domain, all routers must be OSI-capable.  OSI-
   only routers may be freely mixed with dual routers. Some fields
   specifically related to IP operation may be included by dual routers,
   and will be ignored by OSI-only routers. Only OSI traffic will be
   routed in a pure OSI domain. Any IP traffic may be discarded.
   <end quote>

The same situation is with the IP-only routers, that is in IP-only area, all the OSI traffic may be discarded.

So my question is, should the OSI-only(IP-only) routers discard the PDU with unrecognised code, and not passed through unchanged?

Best Regards,
[email-masked]
Huawei Technologies Co., Ltd.
Tel: +86-10-82882867
Fax: +86-10-82882770
2006-02-16

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Hannes Gredler <[email-masked]>
Date: Thu, 16 Feb 2006 09:19:48 +0100

>>From above,what I understand is that this require the OSI-only, IP-only and dual router to recognize OSI and IP packet simultanously. 

no, it means that any router who does not recognize a TLV must pass it through
unchanged.

> The same situation is with the IP-only routers, that is in IP-only area, all the OSI traffic may be discarded.

the text did not say "discard" but rather "ignored"

> So my question is, should the OSI-only(IP-only) routers discard the PDU with unrecognised code, and not passed through unchanged?

all unrecognized TLVs should get passed through unchanged.

HTH,

/hannes